# Visualization
TKV3d
StdPrs

# StdPrs_WFRestrictedFace Class Reference

`#include <StdPrs_WFRestrictedFace.hxx>`

Inheritance diagram for StdPrs_WFRestrictedFace:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT void | AddUIso (const Handle(Prs3d_Presentation)&aPresentation, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT void | AddVIso (const Handle(Prs3d_Presentation)&aPresentation, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(BRepAdaptor_HSurface)&aFace, const Standard_Boolean DrawUIso, const Standard_Boolean DrawVIso, const Quantity_Length Deflection, const Standard_Integer NBUiso, const Standard_Integer NBViso, const Handle(Prs3d_Drawer)&aDrawer, Prs3d_NListOfSequenceOfPnt &Curves)
static Standard_EXPORT Standard_Boolean | Match (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT Standard_Boolean | MatchUIso (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT Standard_Boolean | MatchVIso (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(Prs3d_Drawer)&aDrawer)
static Standard_EXPORT Standard_Boolean | Match (const Quantity_Length X, const Quantity_Length Y, const Quantity_Length Z, const Quantity_Length aDistance, const Handle(BRepAdaptor_HSurface)&aFace, const Standard_Boolean DrawUIso, const Standard_Boolean DrawVIso, const Quantity_Length Deflection, const Standard_Integer NBUiso, const Standard_Integer NBViso, const Handle(Prs3d_Drawer)&aDrawer)

## Member Function Documentation

static Standard_EXPORT void StdPrs_WFRestrictedFace::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Standard_Boolean | DrawUIso,
|  | const Standard_Boolean | DrawVIso,
|  | const Quantity_Length | Deflection,
|  | const Standard_Integer | NBUiso,
|  | const Standard_Integer | NBViso,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | Prs3d_NListOfSequenceOfPnt & | Curves
| ) | `[static]`

static Standard_EXPORT void StdPrs_WFRestrictedFace::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void StdPrs_WFRestrictedFace::AddUIso | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void StdPrs_WFRestrictedFace::AddVIso | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StdPrs_WFRestrictedFace::Match | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Standard_Boolean | DrawUIso,
|  | const Standard_Boolean | DrawVIso,
|  | const Quantity_Length | Deflection,
|  | const Standard_Integer | NBUiso,
|  | const Standard_Integer | NBViso,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StdPrs_WFRestrictedFace::Match | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StdPrs_WFRestrictedFace::MatchUIso | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT Standard_Boolean StdPrs_WFRestrictedFace::MatchVIso | ( | const Quantity_Length | X,
|  | const Quantity_Length | Y,
|  | const Quantity_Length | Z,
|  | const Quantity_Length | aDistance,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(Prs3d_Drawer)& | aDrawer
| ) | `[static]`

void StdPrs_WFRestrictedFace::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFRestrictedFace::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Prs3d_Root.

void* StdPrs_WFRestrictedFace::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Prs3d_Root.

The documentation for this class was generated from the following file:

- StdPrs_WFRestrictedFace.hxx